const getReq = require('./../../config.js').getReq
let appInstance = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order_info:{},
    defaultAddress: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let pay_sn = options.pay_sn;
    this.getDatas(pay_sn);
  },
  getDatas(pay_sn) {
    let self = this;
    wx.showLoading({
      title: '加载中',
    })
    getReq({
      act: 'member_order',
      op: 'pay_info',
      pay_sn: pay_sn
    }, function (res) {
      wx.hideLoading();
      if (res.code == 200) {
       console.log(res);
       self.setData({
         defaultAddress:{
           mob_phone: res.datas.order.reciver_info.mob_phone,
           true_name: res.datas.order.reciver_info.reciver_name,
           area_info: res.datas.order.reciver_info.area,
           address: res.datas.order.reciver_info.street
         },
         order_info: res.datas.order.order_info
       });
      }
      else {
        wx.showToast({
          icon: 'none',
          title: res.message,
          duration: 2000
        })
      }
    })
  },
  getGoodsList(summary, goods_list) {
    let newGoodsList = []
    goods_list.map((item, index) => {
      summary.filter((list, key) => {
        if (item.goods_id == list.goods_id) {
          let goods_item = list
          goods_item.goods_num = item.goods_num
          newGoodsList.push(goods_item)
          return true
        }
      })
    })
    return newGoodsList

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (!this.data.firstLoad) {
      let defaultAddress = appInstance.globalData.defaultAddress
      this.setData({
        defaultAddress
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})