// pages/special/special.js
const getReq = require('./../../config.js').getReq;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    special_datas: {},
    summery: [],
    special_id:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let title = options.title ? options.title : "熊猫美妆";
    let special_id = options.special_id;
    wx.setNavigationBarTitle({
      title: title
    })
    this.setData({
      special_id,
      title
    });
    var self = this;
    getReq({
      act: 'special',
      op: 'index',
      special_id,
      page: 10,
      curpage: 1
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          special_datas: res.datas,
          summery: res.datas.summary
        });
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let special_id = this.data.special_id;
    let title = this.data.title;
    return {
      title: `熊猫美妆为您推荐:${title}`,
      path: `/pages/special/special?title=${title}&special_id=${special_id}`
    }
  }
})